/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package matrix;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class ExceptionTest{
  int[][] matrix1 = {{1, 3, 9}, {8, 2, 6}, {4, 3, 5}};
  int[][] matrix2 = {{4, 3, 5}, {1, 3, 9}};
  Operation operation = new Operation();

  @Test void AdditionException() throws Exceptionmatrix{
      try{
        operation.addition(matrix1, matrix2);
      } catch(Exceptionmatrix e){}
  }

  @Test void SubtractionException() throws Exceptionmatrix{
      try{
        operation.subtraction(matrix1, matrix2);
      } catch(Exceptionmatrix e){}
  }

  @Test void MultiplicationException() throws Exceptionmatrix{
      try{
        operation.\ultiplication(matrix1, matrix2);
      } catch(Exceptionmatrix e){}
  }
}
